---
# Author: Raphaël Jacquot
# Description: Install docker dependencies on Devuan Ceres

- name: 'Devuan/ceres: install python-related packages'
  apt:
    name: '{{item}}'
    state: 'latest'
  with_items:
    - 'python-virtualenv'
    - 'python-pip'

- name: 'Devuan/ceres: install docker'
  apt:
    name: 'docker.io'
    state: 'latest'

#- name: 'Devuan/ceres: install python-docker'
#  apt:
#    name: '{{item}}'
#    state: 'latest'
#  with_items:
#    - 'python-docker'
#    - 'python-dockerpty'
#    - 'python-dockerpycreds'
#    - 'docker-compose'
#    - 'python-ipaddress'
#    - 'python-functools32'

- name: 'Devuan/ceres: install docker-py'
  pip:
    name: 'docker-py'
    version: '1.9.0'
    state: 'present'

- name: 'Devuan/ceres: install docker-compose'
  pip:
    name: 'docker-compose'
    version: '1.9.0'
    state: 'present'
